## poppler 0.44.0

=== debian/changelog ===
poppler (0.44.0-3ubuntu2) yakkety; urgency=medium

  * Fix build with Qt 5.6. (LP: #1608476)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 01 Aug 2016 13:45:28 +0300

poppler (0.44.0-3ubuntu1) yakkety; urgency=medium

  * Merge with Debian. (LP: #1591528) Remaining changes:
    - debian/control:
      + Don't build-depend on libopenjp2-7-dev since it's in universe
    - debian/rules:
      + Use --disable-libopenjpeg
  * Dropped changes:
    - Only suggest poppler-data since it's too big for CDs and
      language-selector automatically installs it after install
    - debian/patches/revert_api_change.patch:
      + revert upstream commit that removed an enum, they claim it's
        not an abi change because it's unused, but other packages (bindings)
        rely on it to build still, we can drop the patch later once the
        rdepends have been updated

 -- Jeremy Bicha <jbicha@linux.com>  Sat, 11 Jun 2016 18:16:34 -0400

poppler (0.44.0-3) unstable; urgency=medium

  * Switch from OpenJPEG 1.x to 2.x: (Closes: #826825)
    - replace the libopenjpeg-dev build dependency with libopenjp2-7-dev
    - pass --enable-libopenjpeg=openjpeg2 to configure, to be sure OpenJPEG 2.x
      is used

 -- Pino Toscano <pino@debian.org>  Thu, 09 Jun 2016 23:14:49 +0200

poppler (0.44.0-2) unstable; urgency=medium

  * Upload to unstable. (See #823667)

 -- Pino Toscano <pino@debian.org>  Fri, 27 May 2016 22:13:46 +0200

poppler (0.44.0-1) experimental; urgency=medium

  * New upstream release.
  * Rename packages according to the new SONAMEs:
    - libpoppler60 -> libpoppler61
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Sun, 22 May 2016 08:46:59 +0200

poppler (0.43.0-1) experimental; urgency=medium

  * New upstream release: (Closes: #822644)
    - fixes pdfinfo man page (Closes: #813500)
    - fixes build with GCC 6 (Closes: #811901)
  * Rename packages according to the new SONAMEs:
    - libpoppler57 -> libpoppler60
  * Update copyright.
  * Update symbols files:
    - adapt to the different internal symbols with GCC 6
  * Update build dependencies:
    - add zlib1g-dev for Flate compression
    - add libnss3-dev for signature handling
  * Mention pdfsig in the description of poppler-utils.

 -- Pino Toscano <pino@debian.org>  Sun, 01 May 2016 09:31:22 +0200

poppler (0.38.0-3) unstable; urgency=medium

  * Backport upstream commit b3425dd3261679958cd56c0f71995c15d2124433 to fix
    a crash on invalid files, reported also as CVE-2015-8868; patch
    upstream_Do-not-crash-on-invalid-files.patch. (Closes: #822578)
  * Update Vcs-* fields.
  * Bump Standards-Version to 3.9.8, no changes required.

 -- Pino Toscano <pino@debian.org>  Mon, 25 Apr 2016 16:51:07 +0200

poppler (0.38.0-2) unstable; urgency=medium

  * Upload to unstable. (See #807089)

 -- Pino Toscano <pino@debian.org>  Wed, 09 Dec 2015 20:21:27 +0100

poppler (0.38.0-1) experimental; urgency=medium

  * New upstream release:
    - fixes an initialized value in Splash (Closes: #777250)
  * Rename packages according to the new SONAMEs:
    - libpoppler47 -> libpoppler57
  * Update copyright.
  * debian/patches:
    - qt-visibility.diff: refresh
  * Update symbols files.
  * Merge changes from 0.26.5-3 and 0.26.5-4.

 -- Pino Toscano <pino@debian.org>  Sun, 29 Nov 2015 19:42:03 +0100

poppler (0.26.5-4) unstable; urgency=medium

  * Handle the new libstc++ ABI of GCC 5 on libpoppler-cpp: (Closes: #796919)
    - rename libpoppler-cpp0 to libpoppler-cpp0v5
    - make libpoppler-cpp0v5 conflict/replace libpoppler-cpp0

 -- Pino Toscano <pino@debian.org>  Sat, 29 Aug 2015 11:11:46 +0200

poppler (0.26.5-3) unstable; urgency=medium

  * Replace "xpdf-utils (<< 3.02-2~)" with
    "xpdf-utils (<< 1:0), xpdf-common" to cleanup the old packages.
    (Closes: #774949)
  * Disable pie for now, as there seems to be an incompatibility between Qt5
    and GCC >= 5. (Closes: #792592)
  * Tighten dependencies on the libpopplerN package to the exact binary
    version in other library packages and poppler-utils. (Closes: #767659)
  * control: rename XS-Testsuite to Testsuite.
  * autopkgtest tests: remove the realpath dependency, as the version of
    coreutils in stable provides the realpath binary.

 -- Pino Toscano <pino@debian.org>  Sat, 25 Jul 2015 20:01:57 +0200

=== debian/control ===
Source: poppler
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Loic Minier <lool@dooz.org>
Uploaders: Josselin Mouette <joss@debian.org>,
           Pino Toscano <pino@debian.org>
Build-Depends: debhelper (>= 9),
               dpkg (>= 1.16.1),
               dh-autoreconf,
               libglib2.0-dev (>= 2.18),
               libfontconfig1-dev,
               libqt4-dev (>= 4:4.7.0),
               libcairo2-dev (>= 1.10.0),
#               libopenjp2-7-dev,
               libjpeg-dev,
               libpng-dev,
               libtiff-dev,
               liblcms2-dev,
               libfreetype6-dev,
               gtk-doc-tools (>= 1.14),
               pkg-config (>= 0.18),
               libgirepository1.0-dev (>= 1.31.0-2~),
               gobject-introspection (>= 1.31.0-2~),
               qtbase5-dev,
               zlib1g-dev,
               libnss3-dev,
               libglib2.0-doc,
               libcairo2-doc
Standards-Version: 3.9.8
Homepage: http://poppler.freedesktop.org/
Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-freedesktop/poppler.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-freedesktop/poppler.git
Testsuite: autopkgtest

Package: libpoppler61
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: poppler-data
Description: PDF rendering library
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the shared core library.

Package: libpoppler-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libpoppler61 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library -- development files
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the development libraries needed to build applications
 using Poppler.

Package: libpoppler-private-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libpoppler-dev (= ${binary:Version}),
         ${misc:Depends}
Suggests: libfreetype6-dev,
Breaks: libpoppler-dev (<< 0.20.2)
Replaces: libpoppler-dev (<< 0.20.2)
Description: PDF rendering library -- private development files
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the private and unstable headers needed to build
 applications using the private Poppler core library.

Package: libpoppler-glib8
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libpoppler61 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library (GLib-based shared library)
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package provides the GLib-based shared library for applications
 using the GLib interface to Poppler.

Package: libpoppler-glib-dev
Architecture: any
Section: libdevel
Depends: libpoppler-glib8 (= ${binary:Version}),
         libpoppler-dev (= ${binary:Version}),
         gir1.2-poppler-0.18 (= ${binary:Version}),
         libglib2.0-dev (>= 2.18),
         libcairo2-dev (>= 1.10.0),
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: libpoppler-glib-doc
Description: PDF rendering library -- development files (GLib interface)
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the headers and development libraries needed to
 build applications using the GLib-based Poppler interface.

Package: libpoppler-glib-doc
Architecture: all
Section: doc
Depends: libglib2.0-doc,
         libcairo2-doc,
         ${misc:Depends}
Breaks: libpoppler-glib-dev (<< 0.22.5)
Replaces: libpoppler-glib-dev (<< 0.22.5)
Description: PDF rendering library -- documentation for the GLib interface
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the API documentation of the GLib-based Poppler
 interface.

Package: gir1.2-poppler-0.18
Architecture: any
Section: introspection
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${gir:Depends}
Description: GObject introspection data for poppler-glib
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains introspection data for poppler-glib.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: libpoppler-qt4-4
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libpoppler61 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library (Qt 4 based shared library)
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package provides the Qt 4 based shared library for applications
 using the Qt 4 interface to Poppler.

Package: libpoppler-qt4-dev
Architecture: any
Section: libdevel
Depends: libpoppler-qt4-4 (= ${binary:Version}),
         libpoppler-dev (= ${binary:Version}),
         libqt4-dev (>= 4:4.7.0),
         ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library -- development files (Qt 4 interface)
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the headers and development libraries needed to
 build applications using the Qt 4-based Poppler interface.

Package: libpoppler-qt5-1
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libpoppler61 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library (Qt 5 based shared library)
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package provides the Qt 5 based shared library for applications
 using the Qt 5 interface to Poppler.

Package: libpoppler-qt5-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libpoppler-qt5-1 (= ${binary:Version}),
         libpoppler-dev (= ${binary:Version}),
         qtbase5-dev,
         ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library -- development files (Qt 5 interface)
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the headers and development libraries needed to
 build applications using the Qt 5-based Poppler interface.

Package: libpoppler-cpp0v5
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libpoppler61 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Conflicts: libpoppler-cpp0
Replaces: libpoppler-cpp0
Description: PDF rendering library (CPP shared library)
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package provides the CPP shared library for applications
 using a simple C++ interface (using STL, and no other dependency) to Poppler.

Package: libpoppler-cpp-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libpoppler-cpp0v5 (= ${binary:Version}),
         libpoppler-dev (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library -- development files (CPP interface)
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the headers and development libraries needed to
 build applications using the C++ Poppler interface.

Package: poppler-utils
Architecture: any
Section: utils
Multi-Arch: foreign
Depends: libpoppler61 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
# should really be just the following:
#Breaks: xpdf-utils (<< 3.02-2~)
# ... but because of #774949 (remove after Stretch/9.0) instead is:
Breaks: xpdf-utils (<< 1:0), xpdf-common
Conflicts: pdftohtml
Replaces: xpdf-utils (<< 3.02-2~),
          pdftohtml,
          xpdf-reader
Provides: xpdf-utils,
          pdftohtml
Description: PDF utilities (based on Poppler)
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains command line utilities (based on Poppler) for getting
 information of PDF documents, convert them to other formats, or manipulate
 them:
  * pdfdetach -- lists or extracts embedded files (attachments)
  * pdffonts -- font analyzer
  * pdfimages -- image extractor
  * pdfinfo -- document information
  * pdfseparate -- page extraction tool
  * pdfsig -- verifies digital signatures
  * pdftocairo -- PDF to PNG/JPEG/PDF/PS/EPS/SVG converter using Cairo
  * pdftohtml -- PDF to HTML converter
  * pdftoppm -- PDF to PPM/PNG/JPEG image converter
  * pdftops -- PDF to PostScript (PS) converter
  * pdftotext -- text extraction
  * pdfunite -- document merging tool

Package: poppler-dbg
Architecture: any
Section: debug
Priority: extra
Multi-Arch: same
Depends: ${misc:Depends},
         libpoppler61 (= ${binary:Version})
Description: PDF rendering library -- debugging symbols
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the debugging symbols for all the Poppler libraries
 and the utilities.

=== debian/rules ===
#!/usr/bin/make -f

# the upstream version (i.e. without the Debian revision)
UPSTREAM_VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p' | cut -f1 -d '-')
# symbols.in files & their "generated" file names
SYMBOLS_in := $(wildcard debian/*.symbols.in)
SYMBOLS_generated := $(patsubst %.in,%,$(SYMBOLS_in))

# use qt4's moc as the default moc is qt3's when both are installed
PATH := /usr/share/qt4/bin:$(PATH)
export PATH

# avoid overlinking and reduce library dependencies
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

# make the build verbose
export V=1

# enable all the hardening options
# pie is disabled because of incompatibility with Qt5 and GCC >= 5 (#792592)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie

# DEB_* variables
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# disable gtk stuff to minimize Build-Depends
CONFIGURE_ARGS :=				\
	--enable-libjpeg			\
	--enable-libpng				\
	--enable-libtiff			\
	--enable-splash-output			\
	--enable-cairo-output			\
	--enable-poppler-glib			\
	--enable-poppler-qt4			\
	--enable-poppler-qt5			\
	--enable-poppler-cpp			\
	--enable-gtk-doc			\
	--enable-xpdf-headers			\
	--enable-introspection=yes		\
	--enable-cms=lcms2			\
	--disable-libopenjpeg			\
	--disable-gtk-test

%:
	dh $@ --parallel --with gir,autoreconf

override_dh_auto_clean:
	dh_auto_clean
	rm -f glib/reference/html/*
	rm -f $(SYMBOLS_generated)

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_ARGS)

override_dh_auto_install:
	dh_auto_install
	# remove libtool .la files
	rm -f -v $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

override_dh_install:
	dh_install --list-missing

override_dh_installchangelogs:
	dh_installchangelogs -plibpoppler61
	dh_installchangelogs --remaining-packages -XChangeLog

override_dh_strip:
	dh_strip --dbg-package=poppler-dbg

override_dh_makeshlibs: $(SYMBOLS_generated)
	dh_makeshlibs -plibpoppler61 -V
	dh_makeshlibs -plibpoppler-cpp0v5 -V"libpoppler-cpp0v5 (>= 0.16)"
	dh_makeshlibs --remaining-packages

debian/%.symbols: debian/%.symbols.in
	cat $^ | sed -e 's/#CURVER#/$(UPSTREAM_VERSION)/g' > $@

.PHONY: override_dh_auto_test

## poppler 0.48.0

=== CMakeLists.txt ===
project(poppler)

cmake_minimum_required(VERSION 2.6.0 FATAL_ERROR)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)

include(PopplerDefaults)
include(PopplerMacros)
include(MacroOptionalFindPackage)
find_package(PkgConfig)
include(MacroEnsureVersion)
include(MacroBoolTo01)
find_package(Threads)
include(TestBigEndian)
test_big_endian(WORDS_BIGENDIAN)
include(CheckFileOffsetBits)
CHECK_FILE_OFFSET_BITS()

find_package (ECM 1.6.0 QUIET NO_MODULE)
if (ECM_FOUND)
    include("${ECM_MODULE_DIR}/ECMEnableSanitizers.cmake")
endif()

set(POPPLER_MAJOR_VERSION "0")
set(POPPLER_MINOR_VERSION "48")
set(POPPLER_MICRO_VERSION "0")
set(POPPLER_VERSION "${POPPLER_MAJOR_VERSION}.${POPPLER_MINOR_VERSION}.${POPPLER_MICRO_VERSION}")

# command line switches
option(ENABLE_XPDF_HEADERS "Install unsupported xpdf headers." OFF)
option(BUILD_GTK_TESTS "Whether compile the GTK+ test programs." ON)
option(BUILD_QT4_TESTS "Whether compile the Qt4 test programs." ON)
option(BUILD_QT5_TESTS "Whether compile the Qt5 test programs." ON)
option(BUILD_CPP_TESTS "Whether compile the CPP test programs." ON)
option(ENABLE_SPLASH "Build the Splash graphics backend." ON)
option(ENABLE_UTILS "Compile poppler command line utils." ON)
option(ENABLE_CPP "Compile poppler cpp wrapper." ON)
set(ENABLE_LIBOPENJPEG "auto" CACHE STRING "Use libopenjpeg for JPX streams. Possible values: auto, openjpeg1, openjpeg2. 'auto' prefers openjpeg1 over openjpeg2 if both are available. Unset to not use openjpeg.")
set(ENABLE_CMS "auto" CACHE STRING "Use color management system. Possible values: auto, lcms1, lcms2. 'auto' prefers lcms2 over lcms1 if both are available. Unset to disable color management system.")
option(ENABLE_LIBCURL "Build libcurl based HTTP support." OFF)
option(ENABLE_ZLIB "Build with zlib." ON)
option(ENABLE_ZLIB_UNCOMPRESS "Use zlib to uncompress flate streams (not totally safe)." OFF)
option(SPLASH_CMYK "Include support for CMYK rasterization." OFF)
option(USE_FIXEDPOINT "Use fixed point arithmetic in the Splash backend" OFF)
option(USE_FLOAT "Use single precision arithmetic in the Splash backend" OFF)
if(WIN32)
  option(ENABLE_RELOCATABLE "Do not hardcode the poppler library location (on Windows)." ON)
else(WIN32)
  set(ENABLE_RELOCATABLE OFF)
endif(WIN32)

set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)")
set(SHARE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share" CACHE STRING "Share directory name")

set(TESTDATADIR "${CMAKE_SOURCE_DIR}/../test" CACHE STRING "Specify test data dir.")
if(NOT (EXISTS ${TESTDATADIR} AND EXISTS ${TESTDATADIR}/test-poppler.c))
  message(WARNING "
 No test data found in $testdatadir.
 You will not be able to run 'make test' successfully.

 The test data is not included in the source packages
 and is also not part of the main git repository. Instead,
 you can checkout the test data from its own git
 repository with:

   git clone git://git.freedesktop.org/git/poppler/test

 You should checkout the test data as a sibling of your
 poppler source folder or specify the location of your
 checkout with -DTESTDATADIR=/path/to/checkoutdir/test.
  ")
endif()

if(WIN32)
  set(_default_fontconfiguration "win32")
else(WIN32)
  set(_default_fontconfiguration "fontconfig")
endif(WIN32)
set(FONT_CONFIGURATION "${_default_fontconfiguration}" CACHE STRING "The font configuration backend (win32|fontconfig).")
string(TOLOWER "${FONT_CONFIGURATION}" font_configuration)
set(WITH_FONTCONFIGURATION_WIN32 OFF)
set(WITH_FONTCONFIGURATION_FONTCONFIG OFF)
if(font_configuration STREQUAL "win32")
  set(WITH_FONTCONFIGURATION_WIN32 ON)
elseif(font_configuration STREQUAL "fontconfig")
  set(WITH_FONTCONFIGURATION_FONTCONFIG ON)
else(font_configuration STREQUAL "win32")
  message(FATAL_ERROR "Invalid font configuration setting: ${FONT_CONFIGURATION}")
endif(font_configuration STREQUAL "win32")

# Enable these unconditionally.
set(MULTITHREADED ON)
set(OPI_SUPPORT ON)
set(TEXTOUT_WORD_LIST ON)

# setting the minimum required versions for some components
set(QT4_MIN_VERSION "4.7.0")
set(CAIRO_VERSION "1.10.0")
set(GLIB_REQUIRED "2.41")

macro_bool_to_01(ENABLE_SPLASH HAVE_SPLASH)
find_package(Freetype REQUIRED)
if(WITH_FONTCONFIGURATION_FONTCONFIG)
  find_package(Fontconfig REQUIRED)
endif(WITH_FONTCONFIGURATION_FONTCONFIG)
macro_optional_find_package(JPEG)
macro_optional_find_package(PNG)
macro_optional_find_package(TIFF)
macro_optional_find_package(NSS3)
if(JPEG_FOUND)
  set(ENABLE_LIBJPEG ${JPEG_FOUND})
endif(JPEG_FOUND)
macro_optional_find_package(Qt4)
if(${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}.${CMAKE_PATCH_VERSION} VERSION_GREATER 2.8.7)
  find_package(Qt5Core)
  find_package(Qt5Gui)
  find_package(Qt5Xml)
  find_package(Qt5Widgets)
  find_package(Qt5Test)
  if (Qt5Core_FOUND AND Qt5Gui_FOUND AND Qt5Xml_FOUND AND Qt5Widgets_FOUND AND Qt5Test_FOUND)
    set(QT5_FOUND true)
  else ()
    message("-- Package Qt5Core or Qt5Gui or Qt5Xml or Qt5Widgets or Qt5Test not found")
    set(QT5_FOUND false)
  endif()
else(${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}.${CMAKE_PATCH_VERSION} VERSION_GREATER 2.8.7)
  set(QT5_FOUND false)
  message("-- CMake >= 2.8.8 is needed to enable Qt5")
endif(${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}.${CMAKE_PATCH_VERSION} VERSION_GREATER 2.8.7)

macro_optional_find_package(Cairo ${CAIRO_VERSION})
if(CAIRO_FOUND)
  set(HAVE_CAIRO ${CAIRO_FOUND})
  set(CAIRO_FEATURE "#define POPPLER_HAS_CAIRO 1")
  set(CAIRO_REQ "cairo")
  set(POPPLER_GLIB_DISABLE_DEPRECATED "")
  set(POPPLER_GLIB_DISABLE_SINGLE_INCLUDES "")
  macro_optional_find_package(GLIB)
  if(GLIB_FOUND)
    set(ENABLE_GLIB ON)
    # Check for introspection
    macro_optional_find_package(GObjectIntrospection 0.9.12)
    set(HAVE_INTROSPECTION ${INTROSPECTION_FOUND})
    set(POPPLER_GLIB_DISABLE_DEPRECATED "${POPPLER_GLIB_DISABLE_DEPRECATED} -DG_DISABLE_DEPRECATED")
    set(POPPLER_GLIB_DISABLE_SINGLE_INCLUDES "${POPPLER_GLIB_DISABLE_SINGLE_INCLUDES} -DG_DISABLE_SINGLE_INCLUDES")
    macro_optional_find_package(GTK)
  endif(GLIB_FOUND)
else(CAIRO_FOUND)
  set(CAIRO_FEATURE "#undef POPPLER_HAS_CAIRO")
endif(CAIRO_FOUND)
if(ENABLE_CPP)
  macro_optional_find_package(Iconv)
  set(ENABLE_CPP ${ICONV_FOUND})
  set(HAVE_ICONV ${ICONV_FOUND})
endif(ENABLE_CPP)
if(ENABLE_ZLIB)
  find_package(ZLIB)
  if(ZLIB_FOUND)
    set(HAVE_LIBZ ${ZLIB_FOUND})
  endif(ZLIB_FOUND)
  set(ENABLE_ZLIB ${ZLIB_FOUND})
endif(ENABLE_ZLIB)
if(ENABLE_ZLIB_UNCOMPRESS AND NOT ENABLE_ZLIB)
  message("Warning: ENABLE_ZLIB_UNCOMPRESS requires ENABLE_ZLIB")
  set(ENABLE_ZLIB_UNCOMPRESS FALSE)
endif(ENABLE_ZLIB_UNCOMPRESS AND NOT ENABLE_ZLIB)
set(USE_OPENJPEG1 FALSE)
set(USE_OPENJPEG2 FALSE)
set(WITH_OPENJPEG FALSE)
if(ENABLE_LIBOPENJPEG STREQUAL "auto")
  find_package(LIBOPENJPEG)
  set(USE_OPENJPEG1 ${LIBOPENJPEG_FOUND})
  set(WITH_OPENJPEG ${LIBOPENJPEG_FOUND})
  if(NOT LIBOPENJPEG_FOUND)
    find_package(LIBOPENJPEG2)
    set(USE_OPENJPEG2 ${LIBOPENJPEG2_FOUND})
    set(WITH_OPENJPEG ${LIBOPENJPEG2_FOUND})
  endif()
elseif(ENABLE_LIBOPENJPEG STREQUAL "openjpeg1")
  find_package(LIBOPENJPEG)
  set(USE_OPENJPEG1 ${LIBOPENJPEG_FOUND})
  set(WITH_OPENJPEG ${LIBOPENJPEG_FOUND})
elseif(ENABLE_LIBOPENJPEG STREQUAL "openjpeg2")
  find_package(LIBOPENJPEG2)
  set(USE_OPENJPEG2 ${LIBOPENJPEG2_FOUND})
  set(WITH_OPENJPEG ${LIBOPENJPEG2_FOUND})
endif()
set(ENABLE_LIBOPENJPEG "${WITH_OPENJPEG}")
if(ENABLE_CMS STREQUAL "auto")
  find_package(LCMS2)
  set(USE_CMS ${LCMS2_FOUND})
  if(NOT LCMS2_FOUND)
    find_package(LCMS)
    set(USE_CMS ${LCMS_FOUND})
    set(USE_LCMS1 ${LCMS_FOUND})
  endif(NOT LCMS2_FOUND)
elseif(ENABLE_CMS STREQUAL "lcms1")
  find_package(LCMS)
  set(USE_CMS ${LCMS_FOUND})
  set(USE_LCMS1 ${LCMS_FOUND})
elseif(ENABLE_CMS STREQUAL "lcms2")
  find_package(LCMS2)
  set(USE_CMS ${LCMS2_FOUND})
endif()
if(ENABLE_LIBCURL)
  find_package(CURL)
  include_directories(${CURL_INCLUDE_DIR})
  set(POPPLER_HAS_CURL_SUPPORT ON)
endif(ENABLE_LIBCURL)

add_definitions(-DHAVE_CONFIG_H=1)
if(MINGW)
  # Use mingw's ansi stdio extensions
  add_definitions(-D__USE_MINGW_ANSI_STDIO=1)
endif(MINGW)
if(FONTCONFIG_FOUND)
  add_definitions(${FONTCONFIG_DEFINITIONS})
  include_directories(${FONTCONFIG_INCLUDE_DIR})
endif(FONTCONFIG_FOUND)
if(WITH_FONTCONFIGURATION_WIN32)
  if(MINGW)
    # Set the minimum required Internet Explorer version to 5.0
    add_definitions(-D_WIN32_IE=0x0500)
  endif(MINGW)
endif(WITH_FONTCONFIGURATION_WIN32)
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/fofi
  ${CMAKE_CURRENT_SOURCE_DIR}/goo
  ${CMAKE_CURRENT_SOURCE_DIR}/poppler
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}/poppler
  ${FREETYPE_INCLUDE_DIRS}
)
set(HAVE_FREETYPE_H ON)
if(CMAKE_USE_PTHREADS_INIT)
  set(HAVE_PTHREAD ON)
endif(CMAKE_USE_PTHREADS_INIT)

if(ENABLE_ZLIB)
  include_directories(${ZLIB_INCLUDE_DIR})
endif(ENABLE_ZLIB)

if (NSS3_FOUND)
  add_definitions(${NSS3_CFLAGS})
  set(ENABLE_NSS3 ON)
endif(NSS3_FOUND)
if(JPEG_FOUND)
  include_directories(${JPEG_INCLUDE_DIR})
  set(ENABLE_LIBJPEG ON)
endif(JPEG_FOUND)
if(PNG_FOUND)
  include_directories(${PNG_INCLUDE_DIR})
  set(ENABLE_LIBPNG ON)
endif(PNG_FOUND)
if(TIFF_FOUND)
  include_directories(${TIFF_INCLUDE_DIR})
  set(ENABLE_LIBTIFF ON)
endif(TIFF_FOUND)
if(LIBOPENJPEG_FOUND)
  include_directories(${LIBOPENJPEG_INCLUDE_DIR})
endif(LIBOPENJPEG_FOUND)
if(LIBOPENJPEG2_FOUND)
  include_directories(${LIBOPENJPEG2_INCLUDE_DIRS})
endif()
if(LCMS_FOUND)
  include_directories(${LCMS_INCLUDE_DIR})
endif(LCMS_FOUND)
if(LCMS2_FOUND)
  include_directories(${LCMS2_INCLUDE_DIR})
endif(LCMS2_FOUND)

# Recent versions of poppler-data install a .pc file.
# Use it to determine the encoding data path, if available.
# Default to the same prefix otherwise.
pkg_check_modules(POPPLER_DATA poppler-data)
if(POPPLER_DATA_FOUND)
  execute_process(COMMAND "${PKG_CONFIG_EXECUTABLE}" --variable=poppler_datadir poppler-data
                  RESULT_VARIABLE _result_var
                  OUTPUT_VARIABLE _output_var OUTPUT_STRIP_TRAILING_WHITESPACE)
  if(_result_var STREQUAL "0" AND NOT _output_var STREQUAL "")
    set(POPPLER_DATADIR "${_output_var}")
  endif(_result_var STREQUAL "0" AND NOT _output_var STREQUAL "")
endif(POPPLER_DATA_FOUND)
if(NOT DEFINED POPPLER_DATADIR)
  set(POPPLER_DATADIR "${CMAKE_INSTALL_PREFIX}/share/poppler")
endif(NOT DEFINED POPPLER_DATADIR)

if(DEFINED COMPILE_WARNINGS)
else(DEFINED COMPILE_WARNINGS)
  set(COMPILE_WARNINGS "yes")
endif(DEFINED COMPILE_WARNINGS)
string(TOLOWER "${COMPILE_WARNINGS}" _comp_warnings)
if(_comp_warnings STREQUAL "no")
  set(CMAKE_CXX_FLAGS "${DEFAULT_COMPILE_WARNINGS_NO} ${CMAKE_CXX_FLAGS}")
endif(_comp_warnings STREQUAL "no")
if(_comp_warnings STREQUAL "yes")
  set(CMAKE_C_FLAGS "-Wall ${CMAKE_C_FLAGS}")
  set(CMAKE_CXX_FLAGS "${DEFAULT_COMPILE_WARNINGS_YES} ${CMAKE_CXX_FLAGS}")
endif(_comp_warnings STREQUAL "yes")
if(_comp_warnings STREQUAL "kde")
  set(CMAKE_C_FLAGS "-Wall ${CMAKE_C_FLAGS}")
  set(CMAKE_CXX_FLAGS "${DEFAULT_COMPILE_WARNINGS_KDE} ${CMAKE_CXX_FLAGS}")
endif(_comp_warnings STREQUAL "kde")


include(ConfigureChecks.cmake)
configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
configure_file(poppler/poppler-config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/poppler/poppler-config.h)


set(poppler_SRCS
  goo/gfile.cc
  goo/gmempp.cc
  goo/GooHash.cc
  goo/GooList.cc
  goo/GooTimer.cc
  goo/GooString.cc
  goo/gmem.cc
  goo/FixedPoint.cc
  goo/NetPBMWriter.cc
  goo/PNGWriter.cc
  goo/TiffWriter.cc
  goo/JpegWriter.cc
  goo/ImgWriter.cc
  goo/gstrtod.cc
  goo/grandom.cc
  goo/glibc.cc
  fofi/FoFiBase.cc
  fofi/FoFiEncodings.cc
  fofi/FoFiTrueType.cc
  fofi/FoFiType1.cc
  fofi/FoFiType1C.cc
  fofi/FoFiIdentifier.cc
  poppler/Annot.cc
  poppler/Array.cc
  poppler/BuiltinFont.cc
  poppler/BuiltinFontTables.cc
  poppler/CachedFile.cc
  poppler/Catalog.cc
  poppler/CharCodeToUnicode.cc
  poppler/CMap.cc
  poppler/DateInfo.cc
  poppler/Decrypt.cc
  poppler/Dict.cc
  poppler/Error.cc
  poppler/FileSpec.cc

=== glib/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${GLIB2_INCLUDE_DIRS}
  ${CAIRO_INCLUDE_DIRS}
)
add_definitions(
  -DG_LOG_DOMAIN=\"Poppler\"
  ${GLIB2_CFLAGS_OTHER}
  ${CAIRO_CFLAGS}
  ${POPPLER_GLIB_DISABLE_DEPRECATED}
  ${POPPLER_GLIB_DISABLE_SINGLE_INCLUDES}
)

configure_file(poppler-features.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/poppler-features.h @ONLY)

if (GTK_FOUND AND BUILD_GTK_TESTS)
  add_subdirectory(demo)
endif (GTK_FOUND AND BUILD_GTK_TESTS)

set(poppler_glib_public_headers
  poppler-action.h
  poppler-date.h
  poppler-document.h
  poppler-page.h
  poppler-attachment.h
  poppler-form-field.h
  poppler-annot.h
  poppler-layer.h
  poppler-movie.h
  poppler-media.h
  poppler.h
  poppler-structure-element.h
)

find_program(GLIB2_MKENUMS glib-mkenums)

add_custom_command(
  OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/poppler-enums.h
  COMMAND ${GLIB2_MKENUMS}
  ARGS
    --template poppler-enums.h.template
    ${poppler_glib_public_headers} > ${CMAKE_CURRENT_BINARY_DIR}/poppler-enums.h
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  DEPENDS ${poppler_glib_public_headers}
          ${CMAKE_CURRENT_SOURCE_DIR}/poppler-enums.h.template
)

add_custom_command(
  OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/poppler-enums.c
  COMMAND ${GLIB2_MKENUMS}
  ARGS
    --template poppler-enums.c.template
    ${poppler_glib_public_headers} > ${CMAKE_CURRENT_BINARY_DIR}/poppler-enums.c
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  DEPENDS ${poppler_glib_public_headers} ${CMAKE_CURRENT_BINARY_DIR}/poppler-enums.h
          ${CMAKE_CURRENT_SOURCE_DIR}/poppler-enums.c.template
)


set(poppler_glib_SRCS
  poppler-action.cc
  poppler-date.cc
  poppler-document.cc
  poppler-page.cc
  poppler-attachment.cc
  poppler-form-field.cc
  poppler-annot.cc
  poppler-layer.cc
  poppler-movie.cc
  poppler-media.cc
  poppler.cc
  poppler-cached-file-loader.cc
  poppler-input-stream.cc
  poppler-structure-element.cc
)
set(poppler_glib_generated_SRCS
  ${CMAKE_CURRENT_BINARY_DIR}/poppler-enums.c
  ${CMAKE_SOURCE_DIR}/poppler/CairoFontEngine.cc
  ${CMAKE_SOURCE_DIR}/poppler/CairoOutputDev.cc
  ${CMAKE_SOURCE_DIR}/poppler/CairoRescaleBox.cc
)
add_library(poppler-glib SHARED ${poppler_glib_SRCS} ${poppler_glib_generated_SRCS})
set_target_properties(poppler-glib PROPERTIES VERSION 8.8.0 SOVERSION 8)
target_link_libraries(poppler-glib poppler ${GLIB2_LIBRARIES} ${CAIRO_LIBRARIES} ${FREETYPE_LIBRARIES})
if(HAVE_PTHREAD)
   target_link_libraries(poppler-glib -lpthread)
endif()
install(TARGETS poppler-glib RUNTIME DESTINATION bin LIBRARY DESTINATION lib${LIB_SUFFIX} ARCHIVE DESTINATION lib${LIB_SUFFIX})

install(FILES
  ${poppler_glib_public_headers}
  ${CMAKE_CURRENT_BINARY_DIR}/poppler-enums.h
  ${CMAKE_CURRENT_BINARY_DIR}/poppler-features.h
  DESTINATION include/poppler/glib)

set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES
  "${CMAKE_CURRENT_BINARY_DIR}/poppler-enums.h ${CMAKE_CURRENT_BINARY_DIR}/poppler-enums.c"
)


macro(_list_prefix _outvar _listvar _prefix)
  set(${_outvar})
  foreach(_item IN LISTS ${_listvar})
    list(APPEND ${_outvar} ${_prefix}${_item})
  endforeach()
endmacro(_list_prefix)

# GObject Introspection
if (HAVE_INTROSPECTION)
  include(GObjectIntrospectionMacros)
  set(INTROSPECTION_GIRS)
  set(INTROSPECTION_SCANNER_ARGS "--add-include-path=${CMAKE_CURRENT_SOURCE_DIR} --warn-all")
  set(INTROSPECTION_COMPILER_ARGS "--includedir=${CMAKE_CURRENT_SOURCE_DIR}")

  set(introspection_files ${poppler_glib_SRCS} ${poppler_glib_public_headers})
  set(Poppler_0_18_gir "poppler-glib")
  set(Poppler_0_18_gir_INCLUDES GObject-2.0 Gio-2.0 cairo-1.0)
  get_directory_property(_tmp_includes INCLUDE_DIRECTORIES)
  _list_prefix(_includes _tmp_includes "-I")
  set(Poppler_0_18_gir_CFLAGS ${_includes})
  set(Poppler_0_18_gir_LIBS poppler-glib)
  _list_prefix(_abs_introspection_files introspection_files "${CMAKE_CURRENT_SOURCE_DIR}/")
  list(APPEND _abs_introspection_files
    ${CMAKE_CURRENT_BINARY_DIR}/poppler-enums.c
    ${CMAKE_CURRENT_BINARY_DIR}/poppler-enums.h
    ${CMAKE_CURRENT_BINARY_DIR}/poppler-features.h
  )
  set(Poppler_0_18_gir_FILES ${_abs_introspection_files})
  set(Poppler_0_18_gir_SCANNERFLAGS --c-include poppler.h)
  set(Poppler_0_18_gir_EXPORT_PACKAGES poppler-glib)

  list(APPEND INTROSPECTION_GIRS Poppler-0.18.gir)

  gir_add_introspections(INTROSPECTION_GIRS)
endif ()

=== qt4/src/CMakeLists.txt ===
add_definitions(${QT4_DEFINITIONS})

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${QT4_INCLUDE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)

set(poppler_qt4_SRCS
  poppler-annotation.cc
  poppler-document.cc
  poppler-embeddedfile.cc
  poppler-fontinfo.cc
  poppler-form.cc
  poppler-link.cc
  poppler-link-extractor.cc
  poppler-movie.cc
  poppler-optcontent.cc
  poppler-page.cc
  poppler-base-converter.cc
  poppler-pdf-converter.cc
  poppler-private.cc
  poppler-ps-converter.cc
  poppler-qiodeviceoutstream.cc
  poppler-sound.cc
  poppler-textbox.cc
  poppler-page-transition.cc
  poppler-media.cc
  ArthurOutputDev.cc
)
qt4_automoc(${poppler_qt4_SRCS})
add_library(poppler-qt4 SHARED ${poppler_qt4_SRCS})
set_target_properties(poppler-qt4 PROPERTIES VERSION 4.10.0 SOVERSION 4)
target_link_libraries(poppler-qt4 poppler ${QT4_QTCORE_LIBRARY} ${QT4_QTGUI_LIBRARY} ${QT4_QTXML_LIBRARY})
if(MSVC)
target_link_libraries(poppler-qt4 poppler ${poppler_LIBS})
endif(MSVC)
install(TARGETS poppler-qt4 RUNTIME DESTINATION bin LIBRARY DESTINATION lib${LIB_SUFFIX} ARCHIVE DESTINATION lib${LIB_SUFFIX})

install(FILES
  poppler-qt4.h
  poppler-link.h
  poppler-annotation.h
  poppler-form.h
  poppler-optcontent.h
  poppler-export.h
  poppler-page-transition.h
  poppler-media.h
  DESTINATION include/poppler/qt4)

=== qt5/src/CMakeLists.txt ===
add_definitions(${QT5_DEFINITIONS})
add_definitions(${Qt5Core_DEFINITIONS})

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${Qt5Core_INCLUDE_DIRS}
  ${CMAKE_CURRENT_BINARY_DIR}
)

set(poppler_qt5_SRCS
  poppler-annotation.cc
  poppler-document.cc
  poppler-embeddedfile.cc
  poppler-fontinfo.cc
  poppler-form.cc
  poppler-link.cc
  poppler-link-extractor.cc
  poppler-movie.cc
  poppler-optcontent.cc
  poppler-page.cc
  poppler-base-converter.cc
  poppler-pdf-converter.cc
  poppler-private.cc
  poppler-ps-converter.cc
  poppler-qiodeviceoutstream.cc
  poppler-sound.cc
  poppler-textbox.cc
  poppler-page-transition.cc
  poppler-media.cc
  ArthurOutputDev.cc
)
add_library(poppler-qt5 SHARED ${poppler_qt5_SRCS})
set_target_properties(poppler-qt5 PROPERTIES VERSION 1.7.0 SOVERSION 1)
target_link_libraries(poppler-qt5 poppler ${Qt5Core_LIBRARIES} ${Qt5Gui_LIBRARIES} ${Qt5Xml_LIBRARIES})
if(MSVC)
target_link_libraries(poppler-qt5 poppler ${poppler_LIBS})
endif(MSVC)
install(TARGETS poppler-qt5 RUNTIME DESTINATION bin LIBRARY DESTINATION lib${LIB_SUFFIX} ARCHIVE DESTINATION lib${LIB_SUFFIX})

install(FILES
  poppler-qt5.h
  poppler-link.h
  poppler-annotation.h
  poppler-form.h
  poppler-optcontent.h
  poppler-export.h
  poppler-page-transition.h
  poppler-media.h
  DESTINATION include/poppler/qt5)

=== debian/changelog ===
poppler (0.48.0-2ubuntu2.5) zesty-security; urgency=medium

  * SECURITY UPDATE: fails to validate boundaries in TextPool::addWord
    leading to overflow
    - debian/patches/CVE-2017-1000456.patch: fix crash in fuzzed file in
      poppler/TextOutputDev.cc.
    - CVE-2017-1000456
  * SECURITY UPDATE: has a heap-based buffer over-read vulnerability
    - debian/patches/CVE-2017-14976.patch: fix crash in broken files in
      fofi/FoFiType1C.cc.
    - CVE-2017-14976

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Thu, 04 Jan 2018 14:34:55 -0300

poppler (0.48.0-2ubuntu2.4) zesty-security; urgency=medium

  * SECURITY UPDATE: pointer dereference can cause a DoS attack
    - debian/patches/CVE-2017-15565.patch: fix crash in broken files caused by
      a dereference pointer in poppler/CairoOutputDev.cc.
    - CVE-2017-15565

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Thu, 26 Oct 2017 11:18:06 -0300

poppler (0.48.0-2ubuntu2.3) zesty-security; urgency=medium

  * SECURITY UPDATE: Floating point exception
    - debian/patches/CVE-2017-14518.patch: Fix divide by 0 on broken
      documents in splash/Splash.cc.
    - CVE-2017-14518
  * SECURITY UPDATE: Floating point exception
    - debian/patches/CVE-2017-14520.patch: don't try to scale if srcHeight or
      srcWidth is less than 1 in splash/Splash.cc.
    - CVE-2017-14520
  * SECURITY UPDATE: Floating point exception in ImageStream
    - debian/patches/CVE-2017-14617.patch: Fix crash in broken files in
      poppler/Stream.cc.
    - CVE-2017-14617
  * SECURITY UPDATE: NULL pointer dereference
    - debian/patches/CVE-2017-14926.patch: Fix crash on broken files
      in poppler/Annot.cc.
    - CVE-2017-14926
  * SECURITY UPDATE: NULL pointer dereference
    - debian/patches/CVE-2017-14928.patch: Fix crash broken files
      in poppler/Annot.cc.
    - CVE-2017-14928
  * SECURITY UPDATE: Memory corruption
    - debian/patches/CVE-2017-14929.patch: Fix infinite recursion
      in poppler/Gfx.cc, poppler/GfxState.cc, poppler/GfxState.h.
    - CVE-2017-14929
  * SECURITY UPDATE: NULL pointer dereference
    - debian/patches/CVE-2017-14975.patch: fix crash in convertToType0 in
      fofi/FoFiType1C.cc.
    - CVE-2017-14975
  * SECURITY UPDATE: NULL pointer dereference
    - debian/patches/CVE-2017-14977.patch: fix NULL deference pointer in
      fofi/FoFiTrueType.cc.
    - CVE-2017-14977
  * SECURITY UPDATE: Integer overflow and heap overflow
    - debian/patches/CVE-2017-9776.patch: fix malformed documents
      in poppler/JBIG2Stream.cc.
    - CVE-2017-9776

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Wed, 04 Oct 2017 12:07:29 -0300

poppler (0.48.0-2ubuntu2.2) zesty-security; urgency=medium

  * SECURITY UPDATE: NULL Pointer Dereference
    - debian/patches/CVE-2017-14517.patch: Fix crash in broken file
      in poppler/XRef.cc.
    - CVE-2017-14517
  * SECURITY UPDATE: Memory corruption - infinite loop
    - debian/patches/CVE-2017-14519.patch: fix infinite recursion in
      poppler/Gfx.cc, poppler/Gfx.h, poppler/GfxFont.cc, poppler/GfxFont.h
    - CVE-2017-14519

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Fri, 29 Sep 2017 10:41:15 -0300

poppler (0.48.0-2ubuntu2.1) zesty-security; urgency=medium

  * SECURITY UPDATE: NULL pointer dereference in pdfunite
    - debian/patches/CVE-2017-7511.patch: add extra checks to
      utils/pdfunite.cc.
    - CVE-2017-7511
  * SECURITY UPDATE: uncontrolled recursion in pdfunite
    - debian/patches/CVE-2017-7515.patch: fix recursion in
      poppler/PDFDoc.cc, poppler/PDFDoc.h.
    - CVE-2017-7515
  * SECURITY UPDATE: NULL pointer dereference in JPXStream::readUByte
    - debian/patches/CVE-2017-9083.patch: check nComps in
      poppler/JPXStream.cc.
    - CVE-2017-9083
  * SECURITY UPDATE: memory leak in gmalloc
    - debian/patches/CVE-2017-9406.patch: fix leak in poppler/XRef.cc.
    - CVE-2017-9406
  * SECURITY UPDATE: memory leak in Object::initArray
    - debian/patches/CVE-2017-9408.patch: fix leak in poppler/XRef.cc.
    - CVE-2017-9408
  * SECURITY UPDATE: stack buffer overflow in GfxState.cc
    - debian/patches/CVE-2017-9775.patch: add extra checks to
      poppler/GfxState.cc.
    - CVE-2017-9775
  * SECURITY UPDATE: integer overflow in JPXStream::readTilePart
    - debian/patches/CVE-2017-2820.patch: check for overflow in
      poppler/JPXStream.cc.
    - CVE-2017-2820

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 06 Jul 2017 08:52:45 -0400

poppler (0.48.0-2ubuntu2) zesty; urgency=medium

  * No-change rebuild against libnspr4

 -- Andy Whitcroft <apw@ubuntu.com>  Fri, 24 Feb 2017 11:15:23 +0000

poppler (0.48.0-2ubuntu1) zesty; urgency=low

  * Merge from Debian unstable (LP: #1639478).  Remaining changes:
    - d/p/proper-init.patch: Fix thumbnailer crash
    - d/rules: Use --disable-libopenjpeg, it's in universe

 -- Michael Terry <mterry@ubuntu.com>  Wed, 14 Dec 2016 13:00:15 -0500

poppler (0.48.0-2) unstable; urgency=medium

  * Upload to unstable. (See #839869)
  * autopkgtest: build the qt5 test with -std=c++11, required with Qt5 >= 5.6.
  * Backport upstream commit 5d15a52aade68c618c356fe403ca500e74917ef7 to remove
    an extra '%' in an error message of pdfseparate; patch
    upstream_pdfseparate-remove-extra-in-error-message.patch. (Closes: #835202)

 -- Pino Toscano <pino@debian.org>  Sat, 05 Nov 2016 08:29:43 +0100

poppler (0.48.0-1) experimental; urgency=medium

  * New upstream release:
    - fixes UTF-16 decoding of document outline title (Closes: #702082)
    - fixes crashes in PDF documents (Closes: #830565)
  * Rename packages according to the new SONAMEs:
    - libpoppler61 -> libpoppler64
  * Update copyright.
  * Bump the libglib2.0-dev (build-)dependency to 2.41, as noted in the
    upstream build system.
  * Update symbols files.
  * Bump shlibs for libpoppler-cpp0v5 to >= 0.46.0, following the new APIs
    added.
  * Install the GObject introspection data in a multi-arch directory:


=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
 Build-Depends: debhelper (>= 9),
                dpkg (>= 1.16.1),
                dh-autoreconf,
-               libglib2.0-dev (>= 2.18),
+               libglib2.0-dev (>= 2.41),
                libfontconfig1-dev,
                libqt4-dev (>= 4:4.7.0),
                libcairo2-dev (>= 1.10.0),
-#               libopenjp2-7-dev,
+               libopenjp2-7-dev,
                libjpeg-dev,
                libpng-dev,
                libtiff-dev,
@@ -20,8 +20,8 @@
                libfreetype6-dev,
                gtk-doc-tools (>= 1.14),
                pkg-config (>= 0.18),
-               libgirepository1.0-dev (>= 1.31.0-2~),
-               gobject-introspection (>= 1.31.0-2~),
+               libgirepository1.0-dev (>= 1.42.0-2~),
+               gobject-introspection (>= 1.42.0-2~),
                qtbase5-dev,
                zlib1g-dev,
                libnss3-dev,
@@ -33,7 +33,7 @@
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-freedesktop/poppler.git
 Testsuite: autopkgtest
 
-Package: libpoppler61
+Package: libpoppler64
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -50,7 +50,7 @@
 Architecture: any
 Section: libdevel
 Multi-Arch: same
-Depends: libpoppler61 (= ${binary:Version}),
+Depends: libpoppler64 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Description: PDF rendering library -- development files
@@ -79,7 +79,7 @@
 Section: libs
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libpoppler61 (= ${binary:Version}),
+Depends: libpoppler64 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Description: PDF rendering library (GLib-based shared library)
@@ -94,7 +94,7 @@
 Depends: libpoppler-glib8 (= ${binary:Version}),
          libpoppler-dev (= ${binary:Version}),
          gir1.2-poppler-0.18 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.18),
+         libglib2.0-dev (>= 2.41),
          libcairo2-dev (>= 1.10.0),
          ${shlibs:Depends},
          ${misc:Depends}
@@ -122,6 +122,7 @@
 Package: gir1.2-poppler-0.18
 Architecture: any
 Section: introspection
+Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${gir:Depends}
@@ -138,7 +139,7 @@
 Section: libs
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libpoppler61 (= ${binary:Version}),
+Depends: libpoppler64 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Description: PDF rendering library (Qt 4 based shared library)
@@ -166,7 +167,7 @@
 Section: libs
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libpoppler61 (= ${binary:Version}),
+Depends: libpoppler64 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Description: PDF rendering library (Qt 5 based shared library)
@@ -195,7 +196,7 @@
 Section: libs
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libpoppler61 (= ${binary:Version}),
+Depends: libpoppler64 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Conflicts: libpoppler-cpp0
@@ -224,7 +225,7 @@
 Architecture: any
 Section: utils
 Multi-Arch: foreign
-Depends: libpoppler61 (= ${binary:Version}),
+Depends: libpoppler64 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 # should really be just the following:
@@ -262,7 +263,7 @@
 Priority: extra
 Multi-Arch: same
 Depends: ${misc:Depends},
-         libpoppler61 (= ${binary:Version})
+         libpoppler64 (= ${binary:Version})
 Description: PDF rendering library -- debugging symbols
  Poppler is a PDF rendering library based on Xpdf PDF viewer.
  .

=== debian/rules ===
--- 
+++ 
@@ -64,15 +64,15 @@
 	dh_install --list-missing
 
 override_dh_installchangelogs:
-	dh_installchangelogs -plibpoppler61
+	dh_installchangelogs -plibpoppler64
 	dh_installchangelogs --remaining-packages -XChangeLog
 
 override_dh_strip:
 	dh_strip --dbg-package=poppler-dbg
 
 override_dh_makeshlibs: $(SYMBOLS_generated)
-	dh_makeshlibs -plibpoppler61 -V
-	dh_makeshlibs -plibpoppler-cpp0v5 -V"libpoppler-cpp0v5 (>= 0.16)"
+	dh_makeshlibs -plibpoppler64 -V
+	dh_makeshlibs -plibpoppler-cpp0v5 -V"libpoppler-cpp0v5 (>= 0.46.0)"
 	dh_makeshlibs --remaining-packages
 
 debian/%.symbols: debian/%.symbols.in
